<?php

namespace PME\Controllers;

use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;


class MenuController {
    
    private $devOpsId;
    private $id;

    public function __construct($devOpsId) {
        $this->devOpsId = $devOpsId;
    }

    public function buildMenu(Request $request, Response $response) { 
        $strJsonFileContents = file_get_contents(__DIR__. "/../../../menu.json");
        $menus = json_decode($strJsonFileContents, true);
        // $this->id = 1; 
        // $this->setDevopsId($menus);
       
        $response->addDataSet(new DataSet('menu', $menus));
        $response->addDataSet(new DataSet('routesTranslate', []));
    }
    
    private function setDevopsId(&$menus) {
        foreach($menus as &$menu) {
            $menu['devOpsId'] = $this->devOpsId;
            $menu['id'] = $this->id;
            $menu['isVisible'] = true;
            $this->id++;
            if(array_key_exists("items", $menu)) $this->setDevopsId($menu['items']);
        }
    }
    
    public function requestToken(Request $request, Response $response) {
        $response->addDataSet(new DataSet('token', ['']));   
    }
} 